// packageB/member/distribution_queue/DistributionSearch/DistributionSearch.js
var app = getApp();
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    keyword: "",
    list: [],
    //more
    isLoadMore: true,
    page: 1,
    total_page: 0
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function(options) {
    this.search();
  },
  search() {
    let that = this;
    this.data.isLoadMore = true;
    this.data.page = 1;
    this.data.total_page = 0;
    let urlStr = app.getNetAddresss("plugin.commission-activity.api.index.activity-search");
    app._postNetWork({
      url: urlStr,
      showToastIn: false,
      data: {
        page: this.data.page,
        keyword: this.data.keyword
      },
      success: function(resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          let list = res.data;
          that.setData({
            list: list.data,
            page: list.current_page,
            total_page: list.last_page
          });
        } else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });
        }
      },
      fail: function(res) {
        console.log(res.msg);
      }
    });
  },
  searchConfirm(){
    this.search();
  },
  keywordInp(e) {
    let val = e.detail.value;
    this.setData({
      keyword: val
    });
  },
  gotoDetail(e) {
    let index = e.currentTarget.dataset.index;
    let id = this.data.list[index].id;
    wx.navigateTo({
      url: '/packageB/member/distribution_queue/DistributionActivityDetail/DistributionActivityDetail?id=' + id
    });
  },
  _getMoreData() {
    const that = this;
    let json = {
      page: this.data.page,
      keyword: this.data.keyword
    };
    let api = 'plugin.commission-activity.api.index.activity-search';
    let urlStr = '';
    that.data.isLoadMore = false; // 防止多次请求分页数据
    if (this.data.page >= this.data.total_page) {
      return;
    } else {
      this.data.page = this.data.page + 1;
      urlStr = app.getNetAddresss(api);
      app._postNetWork({
        url: urlStr,
        showToastIn: false,
        data: json,
        success: function(resdata) {
          var res = resdata.data;
          if (res.result == 1) {
            that.setData({
              isLoadMore: true,
              list: that.data.list.concat(res.data.data)
            });
          } else {
            that.setData({
              page: that.data.page - 1,
              isLoadMore: false
            });
            return;
          }
        },
        fail: function(res) {
          console.log(res.msg);
        }
      });
    }
  },
  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function() {

  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function() {

  },

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function() {

  },

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function() {

  },

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function() {

  },

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function() {
    if (this.data.isLoadMore) {
      this._getMoreData();
    } else {
      console.log('没有更多数据');
    }
  },

  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function() {

  }
});
